## r-cran-patrick 0.2.0

=== DESCRIPTION ===
Package: patrick
Title: Parameterized Unit Testing
Version: 0.2.0
Authors@R: 
    person(given = "Michael",
           family = "Quinn",
           role = c("aut", "cre"),
           email = "msquinn@google.com")
Description: This is an extension of the 'testthat' package that
    lets you add parameters to your unit tests. Parameterized unit tests
    are often easier to read and more reliable, since they follow the DNRY
    (do not repeat yourself) rule.
License: Apache License 2.0
URL: https://github.com/google/patrick
BugReports: https://github.com/google/patrick/issues
Depends: R (>= 3.1)
Imports: dplyr, purrr, rlang, testthat, tibble
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.2.1
NeedsCompilation: no
Packaged: 2022-10-13 17:57:59 UTC; msquinn
Author: Michael Quinn [aut, cre]
Maintainer: Michael Quinn <msquinn@google.com>
Repository: CRAN
Date/Publication: 2022-10-13 18:20:02 UTC

=== debian/changelog ===
r-cran-patrick (0.2.0-2) unstable; urgency=medium

  * Source-only upload

 -- Andreas Tille <tille@debian.org>  Fri, 22 Dec 2023 09:02:35 +0100

r-cran-patrick (0.2.0-1) unstable; urgency=medium

  * Initial release (closes: #1056567)

 -- Andreas Tille <tille@debian.org>  Thu, 23 Nov 2023 13:13:50 +0100

=== debian/control ===
Source: r-cran-patrick
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-patrick
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-patrick.git
Homepage: https://cran.r-project.org/package=patrick
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-dplyr,
               r-cran-purrr,
               r-cran-rlang,
               r-cran-testthat,
               r-cran-tibble
Testsuite: autopkgtest-pkg-r

Package: r-cran-patrick
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R parameterized unit testing
 This is an extension of the 'testthat' package that
 lets you add parameters to your unit tests. Parameterized unit tests
 are often easier to read and more reliable, since they follow the DNRY
 (do not repeat yourself) rule.

## r-cran-patrick 0.3.0

=== DESCRIPTION ===
Package: patrick
Title: Parameterized Unit Testing
Version: 0.3.0
Authors@R: c(
    person(given = "Michael",
           family = "Quinn",
           role = c("aut", "cre"),
           email = "msquinn@google.com"),
    person(given = "Michael",
           family = "Chirico",
           role = "ctb",
           email = "chiricom@google.com"))
Description: This is an extension of the 'testthat' package that
    lets you add parameters to your unit tests. Parameterized unit tests
    are often easier to read and more reliable, since they follow the DNRY
    (do not repeat yourself) rule.
License: Apache License 2.0
URL: https://github.com/google/patrick
BugReports: https://github.com/google/patrick/issues
Depends: R (>= 3.1)
Imports: dplyr, glue, purrr, rlang, testthat (>= 3.1.5), tibble
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2025-01-27 18:29:07 UTC; rstudio
Repository: CRAN
Date/Publication: 2025-01-27 18:40:05 UTC
Author: Michael Quinn [aut, cre],
  Michael Chirico [ctb]
Maintainer: Michael Quinn <msquinn@google.com>

=== debian/changelog ===
r-cran-patrick (0.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 29 Jan 2025 16:06:11 +0900

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,16 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-patrick
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-patrick.git
 Homepage: https://cran.r-project.org/package=patrick
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-dplyr,
+               r-cran-glue,
                r-cran-purrr,
                r-cran-rlang,
-               r-cran-testthat,
+               r-cran-testthat (>= 3.1.5),
                r-cran-tibble
 Testsuite: autopkgtest-pkg-r

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/patrick_([-\d.]*)\.tar\.gz

## r-cran-patrick 0.3.1

=== DESCRIPTION ===
Package: patrick
Title: Parameterized Unit Testing
Version: 0.3.1
Authors@R: c(
    person(given = "Michael",
           family = "Quinn",
           role = "aut",
           email = "michael.quinn@aya.yale.edu"),
    person(given = "Michael",
           family = "Chirico",
           role = c("aut", "cre"),
           email = "chiricom@google.com"))
Description: This is an extension of the 'testthat' package that
    lets you add parameters to your unit tests. Parameterized unit tests
    are often easier to read and more reliable, since they follow the DNRY
    (do not repeat yourself) rule.
License: Apache License 2.0
URL: https://github.com/google/patrick
BugReports: https://github.com/google/patrick/issues
Depends: R (>= 4.1.0)
Imports: dplyr, glue, purrr, rlang, testthat (>= 3.2.0), tibble
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.3.2
NeedsCompilation: no
Repository: CRAN
Packaged: 2025-12-01 22:39:28 UTC; chiricom
Author: Michael Quinn [aut],
  Michael Chirico [aut, cre]
Maintainer: Michael Chirico <chiricom@google.com>
Date/Publication: 2025-12-02 08:30:02 UTC

=== debian/changelog ===
r-cran-patrick (0.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 26 Dec 2025 09:23:45 +0900

=== debian/control ===
Source: r-cran-patrick
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-dplyr,
               r-cran-glue,
               r-cran-purrr,
               r-cran-rlang,
               r-cran-testthat (>= 3.2.0),
               r-cran-tibble,
               architecture-is-64-bit,
               architecture-is-little-endian
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-patrick
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-patrick.git
Homepage: https://cran.r-project.org/package=patrick
Rules-Requires-Root: no

Package: r-cran-patrick
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R parameterized unit testing
 This is an extension of the 'testthat' package that
 lets you add parameters to your unit tests. Parameterized unit tests
 are often easier to read and more reliable, since they follow the DNRY
 (do not repeat yourself) rule.
